Title: Cloud Vision
Date: 2020-02-24 05:00
Category: other
Tags: cathartic, news

Google reportedly [recently](https://news.ycombinator.com/item?id=22373635) [sent](https://www.reddit.com/r/programming/comments/f6pyiu/cloud_vision_api_will_not_return_gendered_labels/) out an email to their [Cloud Vision API](https://cloud.google.com/vision) customers, notifying them that the service will stop returning "woman" or "man" labels for people in photos. Being charitable (as one does), I can think of reasons why I might defend or support such a decision. Detecting the sex of humans in images is going to significantly less reliable than just picking out the humans in the photo, and the way the machines do sex-classification is going to depend on their training corpus, which might contain embedded cultural prejudices that [Google might not want to](https://ai.google/principles/) inadvertently use their technological hegemony to reproduce and amplify. Just using a "person" label dodges the whole problem.

I think of my experience playing with [FaceApp](https://www.faceapp.com/), the _uniquely best piece of software in the world_, which lets the user apply neural-network-powered transformations to their photos to see how their opposite-sex analogue would look! (Okay, the software actually has lots of other transformations and filters available—aging, de-aging, add makeup, add beard, lens flare, _&c._—but I'm assuming those are just there for plausible deniability.) So, for example, the "Female" transformation hallucinates long hair—but hair length isn't sexually dimorphmic the way facial morphology is! At _most_, the "females have long hair" [convention has a large basin of attraction](/2020/Jan/book-review-the-origins-of-unfairness/)—but the corpus of training photos were taken from a culture following that convention. Is it OK for the AI's concept of womanhood itself to reflect that? There are all sorts of deep and subtle ethical questions about "algorithmic fairness" that could be asked here!

I don't think the deep and subtle questions are being asked. The reigning ideology does not _permit itself the expressive power_ to _formulate_ the deep and subtle questions. "Given that a person's gender cannot be inferred by appearance," reads the email. _Cannot_ be inferred, says Google! This is either insane, or a blatant lie told to appease the insane. Neither bodes well for the future of my civilization. (Contrast to sane versions of the concern, like, "Cannot be inferred with sufficiently high reliability", or, "Can be inferred in most cases, but we're concerned about the social implications of misclassifying edge cases.") I'm used to this shit from support groups at the queer center in Berkeley or in Portland, but I never really took it seriously—never really believed that it _could_ be taken seriously. But Google! Aren't those guys supposed to know math?

Just ... this _fucking_ ideology that assumes everyone has this "gender" thing that's _incredibly important for everyone to respect and honor_, but otherwise has _no particular properties whatsoever_. I can sketch out an argument for why, in theory, the ideology is memetically fit: there are [at least two](/tag/two-type-taxonomy/) (and probably three or four) clusters of motivations for why some humans want to change sex; liberal-individualist Society wants to accomodate them and [progressives want to use them as a designated-victim pity-pump](/2019/Aug/the-social-construction-of-reality-and-the-sheer-goddamned-pointlessness-of-reason/#blue-egregore), but the inadequacy of the existing continuum of interventions, and perhaps more so the _continuity_ of the menu of available interventions, is such that [verbal self-identification ends up being the only stable Schelling point](/2019/Oct/self-identity-is-a-schelling-point/).

But the theory doesn't help me wrap my head about how _grown-ups actually believe this shit_. Or at least, are too scared to be caught dead admitting out loud that they don't. This is [Cultural Revolution](https://www.goodreads.com/review/show/2671118186) shit! This is [Lysenko](https://en.wikipedia.org/wiki/Lysenkoism)-tier mindfuckery up in here!

And I don't know how to convey, to anyone who doesn't already feel it too, that I'm _scared_—and that I have a _reason_ to be scared.

I believe that knowledge is useful, and that there are [_general_ algorithms](https://www.lesswrong.com/posts/HcCpvYLoSFP4iAqSz/rationality-appreciating-cognitive-algorithms)—patterns of thinking and talking—that produce knowledge. You can't just get _one_ thing wrong—every wrong answer comes from a bug in your _process_, and there's an infinite family of other inputs that could trigger the same bug. [The calculator that says `6 + 7 = 14`](https://www.lesswrong.com/posts/yaCwW8nPQeJknbCgf/free-speech-and-triskaidekaphobic-calculators-a-reply-to) isn't just going to mislead you if you use it to predict what happens when you combine a stack of ●●●●●● pennies and a stack of ●●●●●●● pennies—it's _not a calculator_. The thing-that-it-computes is _not arithmetic_.

I am not particularly intelligent man. If I ever seem to be saying true and important things that almost no one else is saying, it's not because I'm unusually insightful, but because I'm unusually bad at keeping secrets. There are ... _operators_ among us, [savvy](https://slatestarcodex.com/2017/10/23/kolmogorov-complicity-and-the-parable-of-lightning/) Straussian motherfuckers who know and see everything I can, and more—but who think [it doesn't matter](https://www.lesswrong.com/posts/NG4XQEL5PTyguDMff/but-it-doesn-t-matter) that [not everybody knows](https://thezvi.wordpress.com/2019/07/02/everybody-knows/).

And I guess ... I think it matters? [One of the evilest reactionary bloggers mentioned the difference](https://blog.jim.com/economics/draining-the-swamp-2/) between a state religion that requires you to believe in the unseen, and one that requires you to disbelieve in what is seen. My thesis is that a state religion that requires you to fluidly doublethink around the implications of "Some women have penises", will also falter over something even the Straussians have [to protect](/2019/Jul/the-source-of-our-power/). But I can't prove it.

The [COVID-19](https://en.wikipedia.org/wiki/Coronavirus_disease_2019) news is playing hell with my neuroticism. [They say](https://virologydownunder.com/past-time-to-tell-the-public-it-will-probably-go-pandemic-and-we-should-all-prepare-now/) you should stock up on needed prescription drugs, in case of supply-chain disruptions. I guess I'm glad that, unlike some of my friends who I am otherwise jealous of, I'm not dependent on drugs for the hormones that my body needs in order for my bones to not rot. I wish I had _known_ tweleve years ago, that accepting that dependency in exchange for its scintillating benefits was an _option_ for cases like mine. There's at least a consistency in this: it's not safe to depend on the supply lines of a system that didn't [just tell me](/2016/Oct/exactly-what-it-says-on-the-tin/).

Anyway, _besides_ the [Total Culture War over the future of my neurotype](/2020/Feb/if-in-some-smothering-dreams-you-too-could-pace/) tearing apart ten-year friendships and having me plotting to flee my hometown, my life is going pretty okay. I'm getting paid lots of money to sell insurance in Canada, and I have lots of things to look forward to, like the conclusion to the _Tangled_ sequel series, or the conclusion to the _Obnoxious Bad Decision Child_ sequel miniseries, or finishing my forthcoming review of the new Charles Murray book. (It's going to be great—a strategic bid to broaden the topic scope of the blog to "things that only right-wing Bad Guys want to talk about, but without myself being a right-wing Bad Guy" in _full generality_, not just for autogynephila and the [correspondence of language to reality](https://en.wikipedia.org/wiki/Rectification_of_names).)

Basically, _I want to live_. I know that now. And it's hard to shake the feeling that the forces trying to cloud my vision don't want me to.
