Title: The Social Construction of Reality and the Sheer Goddamned Pointlessness of Reason
Date: 2019-08-11 23:56
Category: commentary
Tags: bullet-biting, cathartic, epistemic horror

> The aide said that guys like me were "in what we call the reality-based community," which he defined as people who "believe that solutions emerge from your judicious study of discernible reality." I nodded and murmured something about enlightenment principles and empiricism. He cut me off. "That's not the way the world really works anymore," he continued. "We're an empire now, and when we act, we create our own reality. And while you're studying that reality—judiciously, as you will—we'll act again, creating other new realities, which you can study too, and that's how things will sort out. We're history's actors ... and you, all of you, will be left to just study what we do." 
>
> —["Faith, Certainty and the Presidency of George W. Bush"](https://www.nytimes.com/2004/10/17/magazine/faith-certainty-and-the-presidency-of-george-w-bush.html) by Ron Suskind, _The New York Times Magazine_

Truth isn't real; there are only competing narratives.

Okay, that probably isn't _literally_ true. There probably really are quarks and leptons and an objective speed of light in a vacuum. But most people don't actually spend much of their lives interacting with reality at a level that requires scientific understanding. Maintaining the wonders of our technological civilization only requires that a few specialists understand some very _narrow_ fragment of the true structure of the world beneath the world—and even they don't have to [take it home with them](https://www.lesswrong.com/posts/N2pENnTPB75sfc9kb/outside-the-laboratory). For most people all of the time, and all people most of the time, basic folk physics is enough to keep us from dropping too many plates. Everything else we [think we](https://www.lesswrong.com/posts/CqyJzDZWvGhhFJ7dY/belief-in-belief) believe is shaped by the narratives we tell each other, whose relationship to testable predictions about the real world is far too complicated for a lone human to empirically check—or even _notice_ how such a check might fail.

And so sufficiently-widely-believed lies _bootstrap themselves into being true._ You might protest, "But, but, the map is not the territory! Believing doesn't make it so!" But if almost everyone accepts a narrative and _sort of_ behaves as if it were true, then that _does_ (trivially) change the _part_ of reality that consists of people's social behavior—which is the only part that _matters_ outside of someone's dreary specialist duties writing code or mixing chemicals.

If people are quantitatively less likely to do business with people who emit heresy-signals (even subtle ones, like being insufficiently enthusiastic while praising God), then believing in God really _is_ a good financial decision, which is a _successful prediction_ that legitimately supports the "Divine Providence financially rewards the faithful" hypothesis. With sufficient mental discipline, the occasional freethinker might be able to entertain alternative hypotheses ("Well, maybe Divine Providence isn't _really_ financially rewarding believers, and it just looks that way because of these-and-such social incentive gradients"), but given the empirical adequacy of the orthodox view, it would take a level of sheer stubborn contrarianism that isn't particularly going to correlate with being a careful thinker.

Smart people in the dominant coalition have always been _very_ good at maintaining frame control. I don't know exactly what forms this has taken historically, back when religious authorities held sway. In my secularized world which is at least nominally managed under the auspices of Reason, the preferred tactic is clever [motte-and-bailey](http://slatestarcodex.com/2014/11/03/all-in-all-another-brick-in-the-motte/) language-mindfuckery games, justified by utilitarianism: speak in a way that reinforces the coalitional narrative when interpreted naïvely, but which also permits a sophisticated-but-contrived interpretation that can never, ever be proven false, because we can [define a word any way we want](https://www.lesswrong.com/posts/FaJaCgqBKphrDzDSj/37-ways-that-words-can-be-wrong).

Thus, trans women are women, where by 'women' I mean people who identify as women. Appeals to conceptual parsimony ("Yes, you _could_ use language that way, but that makes it [more expensive to express](https://www.lesswrong.com/posts/esRZaPXSHgWzyB2NL/where-to-draw-the-boundaries) [these-and-such useful real-world probabilistic inferences](/2018/Feb/the-categories-were-made-for-man-to-make-predictions/)—") don't work on utilitarians who _explicitly_ reject parsimony in favor of "utility," where utility is estimated by back-of-the-envelope calculations that seem like they [ought to be better than nothing](https://slatestarcodex.com/2013/05/02/if-its-worth-doing-its-worth-doing-with-made-up-statistics/), but which in practice have so many degrees of freedom that the answer is almost entirely determined by the [perceived need to appease](http://unremediatedgender.space/2018/Jan/dont-negotiate-with-terrorist-memeplexes/) whichever [utility monster](https://en.wikipedia.org/wiki/Utility_monster) has made itself most politically salient to the one performing the calculation.

If you can't win the argument (because the motte is genuinely a great motte) and therefore gain status by appealing to reality, and our minds are better at [tracking](https://www.overcomingbias.com/2014/01/advice-isnt-about-info.html) [status](https://www.overcomingbias.com/2014/12/forged-by-status.html) than [reality](https://www.overcomingbias.com/2015/06/doing-good-being-good.html), then eventually dissidents either accept [the narrative](http://zackmdavis.net/blog/2016/12/resisting-the-narrative/) or destroy themselves.

[Autogynephilic males](http://www.annelawrence.com/autogynephilia_&_MtF_typology.html) are better at large-scale coalitional politics than actual lesbians for basically the same reasons that men-in-general are better at coalitional politics than women-in-general (as evidenced by [the patriarchy](https://srconstantin.wordpress.com/2017/09/12/patriarchy-is-the-problem/)), so once a political conflict arose between an [intransigent minority](https://medium.com/incerto/the-most-intolerant-wins-the-dictatorship-of-the-small-minority-3f1f83ce4e15) of AGPs' right to choose their "gender", and women's/lesbians' right to [have a goddamned _word_](/2018/Apr/reply-to-the-unit-of-caring-on-adult-human-females/) to describe themselves, it was a _fait accompli_ that the group sampled from the male region in psychological [configuration space](https://www.lesswrong.com/posts/WBw8dDkAWohFjWQSk/the-cluster-structure-of-thingspace) would win: male psychology is [_designed_ to win costly intergroup conflicts](https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3260849/). And in winning, they _create their own reality_.

Again, probably not literally: there probably really are biochemical facts of the matter as to what traits hormone replacement therapy does and does not change, and the biochemical facts aren't going to vary depending on the outcome of a political conflict—as far as I know. (I've never _seen_ an estrogen molecule, have you?)

What _does_ vary depending on the outcome of a political conflict are which facts you can _talk_ about—and thus, [in the long run](https://westhunt.wordpress.com/2013/08/31/it-must-be-said/), which facts you can even _notice_. If you successfully mindfuck everyone into believing that AGPs are really women, then _they really are_.

Once, in the hateful and bigoted days of our ancestors, people noticed whether babies were female or male, acculturated them into different social roles (childbearing and war being more relevant to their cultural systems then that of today's [barren](https://www.theatlantic.com/ideas/archive/2019/07/where-have-all-the-children-gone/594133/), [pacified](https://www.edge.org/response-detail/23876) elites), and had [short, simple words](https://www.lesswrong.com/posts/soQX8yXLbKy7cFvy8/entropy-and-short-codes) for the resulting clusters in personspace: girls and boys, women and men.

But the ancestors, in choosing the words to carve _their_ reality at the joints, didn't distinguish between the fact of sex, and social sex _roles_—from _within_ a given Society, there was no reason to make that distinction. For a brief, beautiful moment in the West, second-wave feminism's push to make Society [more congenial to masculine-of-center women](http://www.ericwulff.com/blog/?p=1861) provided a reason, giving us the sex/gender distinction.

<a id="blue-egregore"></a>That incentive lasted about forty years. After its crowning victory in _Obergefell v. Hodges_, the [Blue](https://slatestarcodex.com/2014/09/30/i-can-tolerate-anything-except-the-outgroup/) [Egregore's](https://www.ribbonfarm.com/2015/05/07/weaponized-sacredness/) LGBT activist machinery wasn't about to sit idle or quietly disband, so instead adapted itself to the obvious next growth channel of absorbing new neurotype-demographics into the "T": specifically, capturing a larger fraction of the ~5% (?) of men with intense AGP (whose analogues in a previous generation would have been [furtive, closeted crossdressers](https://www.ncbi.nlm.nih.gov/pubmed/15859369)), and the ~5% (?) of [girls](https://www.parentsofrogdkids.com/) on the losing end of [female intrasexual competition](https://en.wikipedia.org/wiki/Female_intrasexual_competition) (whose analogues in a previous generation would have been anorexic).

Sculpting "trans" into an interest group large enough to serve as a pawn (well, [bishop](https://www.unqualified-reservations.org/2008/06/ol9-how-to-uninstall-cathedral/)) under the Blue Egregore's control required the LGBT sub-egregore to re-collapse the sex/gender distinction (pried apart at such painstaking cost by its feminist cousins two generations earlier)—in the _other_ direction: sex, having already been split into "sex" and "gender" (f.k.a. gender _roles_ f.k.a. _sex_ roles), must now give way entirely to the latter. In [Hoffman and Taylor's account of the precession of simulacra (following Baudrillard)](http://benjaminrosshoffman.com/excerpts-from-a-larger-discussion-about-simulacra/), medical transsexualism of the 20th-century West was a mixture of simulacrum levels 1 (to the extent that hormones and surgery constitute a successful [sex change](http://lesswrong.com/lw/xe/changing_emotions/)) and 2 (to the extent that they don't, and transitioning consists of [lying](http://benjaminrosshoffman.com/blatant-lies-best-kind/) about one's sex).

In contrast, post-_Obergefell_ gender theory belongs to simulacrum level 3: rather than having a non-circular truth condition, "gender" is just a free-floating Schelling point, a [role](https://www.lesswrong.com/posts/AqbWna2S85pFTsHH4/the-intelligent-social-web) or [costume](https://tvtropes.org/pmwiki/pmwiki.php/Main/PurelyAestheticGender) to be [symbolically identified](https://thezvi.wordpress.com/2015/06/30/the-thing-and-the-symbolic-representation-of-the-thing/) with, meaning no more (and no less) what one can predict that others will predict that others will predict ... _&c._ that it means. Biological sex would continue to be a decision-relevant variable if it were cognitively available (summarizing a variety of physical differences, who can get pregnant, various game-theoretic social consequences of who can get pregnant, [personality differences to the tune of](https://journals.plos.org/plosone/article?id=10.1371/journal.pone.0029265) [Mahanalobis _D_](https://marcodgdotnet.files.wordpress.com/2014/04/delgiudice_2013_is-d_valid_ep.pdf) ≈ 2.7, _&c._)—but _no_ culture can provide all the concepts that _would be_ decision-relevant _if available_. Definitionally, you don't know what you're missing. ["The limits of my language are the limits of my world."](https://en.wikiquote.org/wiki/Ludwig_Wittgenstein) Some claim to have [_seen through_](https://www.gwern.net/docs/philo/2012-sistery-tryingtoseethrough.html) to a world beneath the world, but without a way to _share_ what they've allegedly seen, to bring it within mutually-reinforcing consensus of the intersubjective, who's not to say that they only dreamed it?

<a id="a-dream-about-the-use-of-maps"></a>I have a recurring dream, a naïve dream that can't exist. It's a dream about the use of maps. In my dream, even people who—for example—[dislike psychological sex differences](/2017/Dec/theres-a-land-that-i-see-or-the-spirit-of-intervention/), have an interest in sex differences research being as accurate as possible, using the most precise concepts possible, because only a true understanding of the interplay between nature and nurture can be _used to design_ a more just Society that minimizes inequality, just as only a true map of the territory can help you plot your way across a dangerous terrain. And that is how it would work for a [singleton](https://nickbostrom.com/fut/singleton.html) God-Empress that could arrange human lives like pieces on a chess board, or the words in a novel.

But humans don't use maps to navigate the territory. Humans _live in the map_. _Researching_ sex differences can only make them more salient in your culture. _Researching_ how to turn men into women could only draw attention to all the dimensions along which we don't know how to do the job. If you don't like what you see, then _remove your eyes_. I dream of things being otherwise—if only people _knew_ about the forces constructing their experience, if only they _knew_ about the empires competing to comprise them, maybe we could negotiate our way to the good outcome (whatever that turns out to be) _without_ the mindfucking?

But that's not how things sort out. So I, lacking both the power to act and the humility to unsee, am left to just study it. Judiciously. As I do.
